
Application: gvSIG desktop - gvSIG bugs #4772
No abre con la apariencia CDE/Motif
12/11/2017 11:21 PM - Óscar Martínez

Status: Closed % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee:
Category: Application
Target version: 2.5.1-3014
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Supongo que bastaría con eliminarla. Probado con Windows 10.

INFO 11477 AWT-EventQueue-0 org.gvsig.andami.ui.mdiFrame.MDIFrame - menu icon 'help-about' not exists.
ERROR 11540 main org.gvsig.andami.Launcher - excepcion al arrancar
java.lang.NullPointerException
    at org.gvsig.coreplugin.mdiManager.MDIDesktopManager.getScrollPaneInsets(MDIDesktopPane.java:180)
    at org.gvsig.coreplugin.mdiManager.MDIDesktopManager.resizeDesktop(MDIDesktopPane.java:198)
    at org.gvsig.coreplugin.mdiManager.MDIDesktopPane.checkDesktopSize(MDIDesktopPane.java:128)

Associated revisions
Revision 44864 - 04/01/2020 10:26 AM - Joaquín  del Cerro Murciano

refs #4772,  eliminada la posibilidad de seleccionar el L&F de motif y quitados los L&F JTattoo, seaglass y web

History
#1 - 12/13/2017 02:11 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2846 (rev. org.gvsig.desktop-2.0.215) to 2.5.1-3044

#2 - 02/04/2019 06:52 PM - Álvaro Anguix
- Category set to Application

#3 - 03/04/2020 11:18 AM - Álvaro Anguix

sí, opino lo mismo. Eliminarla, ya que el 99,99% de los usuarios utilizan la apariencia por defecto.

#4 - 03/26/2020 02:26 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to Low

#5 - 04/01/2020 10:29 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3014
- Status changed from New to Fixed
Bueno, no era tan simple como quitar un jar, pero parecido.
El L&F de Motif va de base con java, asiq ue no se puede quitar. Lo que he hecho es no añadirlo al desplegable.
Ademas parece que en las versiones modernas de java, como es algo propietario de Sun, lo eliminan.

He quitado los jars de los L&F de JTattoo, seaglass y web, ya que no acababan de ir bien con gvSIG.

#6 - 04/10/2020 12:33 PM - Álvaro Anguix
- Status changed from Fixed to Closed
